 2393 Alkis Georgopoulos	2012-09-22
      Debian: maintain compatibility with initramfs-tools < 0.103.

 2373 Stéphane Graber	2012-08-01
      Debian: New initamfs-tools uses /run/net- instead of /tmp/net-, update the various scripts.

=== modified file 'client/Debian/share/initramfs-tools/scripts/init-premount/udhcp'
--- old/client/Debian/share/initramfs-tools/scripts/init-premount/udhcp	2012-05-14 13:04:50 +0000
+++ new/client/Debian/share/initramfs-tools/scripts/init-premount/udhcp	2012-11-18 21:27:10 +0000
@@ -263,12 +263,14 @@
 NTPSVR='$ntpsvr'
 TIMESVR='$ntpsvr'
 TIMEZONE='$timezone'
-SWAPSVR='$swapsvr'" > /tmp/net-$interface.conf
+SWAPSVR='$swapsvr'" > /run/net-$interface.conf
 
+# Also make a /tmp symlink for backwards compatibility
+ln -sf /run/net-$interface.conf /tmp/net-$interface.conf
 # Write the file that'll be sourced by the callee function run_scripts
 mkdir -p /conf
 # Only export the lines that have something after the =
-sed -n "/[^=]*=[' ]*$/!s/.*/export &/p" "/tmp/net-$interface.conf" > /conf/param.conf
+sed -n "/[^=]*=[' ]*$/!s/.*/export &/p" "/run/net-$interface.conf" > /conf/param.conf
 }
 
 # Main

